/************************************************************************
*************************************************************************
****                                                                 ****
****                       Projet : LANCER DE RAYON                  ****
****                      fichier : parser.h                         ****
****                                                                 ****
*************************************************************************
*************************************************************************
* Auteurs :                               date : 12/05/05               *
*          GUITTENY Fabrice                                             *
*          LE GOFF Erwan                                                *
*          LAHUEC Morgan                                                *
*************************************************************************
* Class:                                                                *
*                                                                       *
*************************************************************************
* Description :                                                         *
* Le parser analyse le fichier xml en entre et construits la scene.    *   
* Il tient compte de certaines erreurs de syntaxe.                      *
************************************************************************/

#include <iostream>
#include <fstream>
#include <string>
#include <stack>
#include <vector>
#include "scene.h"
using namespace std;

// type Pile
typedef stack<string> Pile;

// fonction de renvoi d'un message d'erreur
void syntaxe_erreur(int nolig, string line);

// conversion d'une chane en flottant
float stof(string s);

// conversion d'une chane en entier
int stoi(string s);

// analyseur du fichier XML
Scene* init(istream& xfile);
